Skip to main content
POST
/
v2
/
clarity-v2
/
processes
/
{process_id}
/
current-process
/
{current_process_id}
/
promote
Promote Clarity Current Process
curl --request POST \
  --url https://api.duvo.ai/v2/clarity-v2/processes/{process_id}/current-process/{current_process_id}/promote \
  --header 'Authorization: Bearer <token>'
{
  "snapshot": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_current_process_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "data": {
      "version": 0,
      "steps": [
        {
          "id": "<string>",
          "targetSteps": [
            {
              "stepId": "<string>",
              "label": "<string>",
              "isDefault": true
            }
          ],
          "title": "<string>",
          "description": "<string>",
          "action": "<string>",
          "rationale": "<string>",
          "role": "<string>",
          "sources": [
            {
              "attribution": "<string>",
              "excerpt": "<string>"
            }
          ],
          "system": "<string>",
          "input": "<string>",
          "output": "<string>",
          "condition": "<string>",
          "exception": "<string>",
          "handling": "<string>",
          "assumptions": [
            "<string>"
          ],
          "openQuestions": [
            "<string>"
          ],
          "extraCaptureNeeded": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "gap": "<string>",
            "proposal": "<string>"
          },
          "readinessRationale": "<string>"
        }
      ],
      "swot": {
        "strengths": [
          "<string>"
        ],
        "weaknesses": [
          "<string>"
        ],
        "opportunities": [
          "<string>"
        ],
        "threats": [
          "<string>"
        ]
      },
      "summary": "<string>"
    },
    "created_at": "<string>",
    "updated_at": "<string>",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sandbox_id": "<string>",
    "last_session_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

process_id
string<uuid>
required

The clarity process id

current_process_id
string<uuid>
required

The current-process snapshot id to promote

Response

Default Response

snapshot
object
required